

set -ex



crypt4gh -h > testfile-help.txt
crypt4gh-keygen --sk alice.key --pk alice.pub -C 'bioconda Alice test' --nocrypt
crypt4gh-keygen --sk bob.key --pk bob.pub -C 'bioconda Bob test' --nocrypt
crypt4gh encrypt --sk bob.key --recipient_pk bob.pub --recipient_pk alice.pub < testfile-help.txt > message.c4gh
crypt4gh decrypt --sk alice.key < message.c4gh > message.alice.received
diff testfile-help.txt message.alice.received
crypt4gh decrypt --sk bob.key < message.c4gh > message.bob.received
diff testfile-help.txt message.bob.received
exit 0
